Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#241 dmg

dmg

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2007 - 10:39 PM

bác ssg ơi, nâng cấp hộ anh em cái lisp nha, cải tiến lại lisp đánh dây angten như sau:
ví dụ, đầu tiên em vẽ 1 doạn pline là L mét xong nhé, thực ra khi em kéo pline, làm sao mà chuẩn 100% nó là L được, ví dụ vẽ đoạn 10m (tức là trên bản cad vẽ 1 đoạn dài 10000), thì thực ra nó là 9,87m, hoặc 10,17m... em kéo tay thôi, nên luôn có sai số, mà em muốn thể hiện trên bản vẽ là:
L/L*0,97 (ví dụ: 10/9,70m)

ở đây em muốn lisp đọc độ dài pline xong sẽ làm tròn nó về số nguyên trước đã, làm tròn theo nguyên tắc excel: dưới 0,5 cho về 0, từ 0,5 trở lên tính thành 1, ví dụ: 2,4->2; 2,5->3....
sau đó quy cách thể hiện text độ dài dây angten vẫn như cũ thôi: chiều dài dây/chiều dài dây nhân 0,97
ví dụ: 10/9,70m tức là con số đầu ko có số nào sau dấu phẩy, còn con số sau để 2 số sau dấu phẩy.

bác ssg giúp em nhé
:unsure:
  • 0

#242 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 26 October 2007 - 07:59 AM

bác ssg ơi, nâng cấp hộ anh em cái lisp nha, cải tiến lại lisp đánh dây angten như sau:
ví dụ, đầu tiên em vẽ 1 doạn pline là L mét xong nhé, thực ra khi em kéo pline, làm sao mà chuẩn 100% nó là L được, ví dụ vẽ đoạn 10m (tức là trên bản cad vẽ 1 đoạn dài 10000), thì thực ra nó là 9,87m, hoặc 10,17m... em kéo tay thôi, nên luôn có sai số, mà em muốn thể hiện trên bản vẽ là:
L/L*0,97 (ví dụ: 10/9,70m)

ở đây em muốn lisp đọc độ dài pline xong sẽ làm tròn nó về số nguyên trước đã, làm tròn theo nguyên tắc excel: dưới 0,5 cho về 0, từ 0,5 trở lên tính thành 1, ví dụ: 2,4->2; 2,5->3....
sau đó quy cách thể hiện text độ dài dây angten vẫn như cũ thôi: chiều dài dây/chiều dài dây nhân 0,97
ví dụ: 10/9,70m tức là con số đầu ko có số nào sau dấu phẩy, còn con số sau để 2 số sau dấu phẩy.

bác ssg giúp em nhé
:unsure:

Chẳng cần phải nâng cấp! Chỉ cần set lại Units trong bản vẽ của bạn. Cụ thể:
Lệnh Units. Chọn Length - Precision, chọn 0
Hoặc:
Gõ LUPREC, chọn 0
  • 0

#243 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 26 October 2007 - 11:16 AM

Nhờ bà con giúp giùm đoạn lisp này với:
-Yêu cầu nhập vào 1 điểm (pick bằng chuột)
-Kiểm tra vùng chọn có khép kín không:
+nếu kín thì gán cho diemchona bằng điểm vừa chọn.
+nếu không kín thì yêu cầu chọn lại đến khi kín thì thôi.
Cám ơn bà con !
Chúc cả nhà vui vẻ ! :unsure:
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#244 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 26 October 2007 - 01:29 PM

Chẳng cần phải nâng cấp! Chỉ cần set lại Units trong bản vẽ của bạn. Cụ thể:
Lệnh Units. Chọn Length - Precision, chọn 0
Hoặc:
Gõ LUPREC, chọn 0

I'm sorry! Đọc chưa kỹ yêu cầu của bạn.
Chỉ cần thêm hàm round và sửa 1 dòng lệnh là OK. Không cần set lại Units, bạn cứ để precision 0.0000 cũng được.
Code đã sửa:


(Defun round(x i / j) ;;;Round x, i digit after decimal point, return REAL
(setq j (expt 10 i))
(/ (float (fix (+ 0.5 (* x j)))) j)
)
;;;------------------------------------------------------------------------------------
(defun getTw() ;;;Get current text width factor
(cdr (assoc 41 (tblsearch "style" (getvar "textstyle"))))
)
;;;------------------------------------------------------------------------------------
(defun getTh( / Th) ;;;Get current textheight or textsize
(if (= (setq Th (cdr (assoc 40 (tblsearch "style" (getvar "textstyle"))))) 0) (getvar "textsize") Th)
)
;;;------------------------------------------------------------------------------------
(defun emkT (S p)
;;;Write text S at point p by entmake function
;;;Text style, heigh and width factor get from current values
(entmake (list (cons 0 "TEXT") (cons 10 p) (cons 40 (getTh))
(cons 41 (getTw)) (cons 1 S) (cons 7 (getvar "textstyle"))))
)
;;;------------------------------------------------------------------------------------
(defun calcL (e) ;;;Calculate length of Line, Pline, 3dPoly, Spline, Circle, Arc, Polygon
(vlax-curve-getDistAtParam e (vlax-curve-getEndParam e))
)
;;;------------------------------------------------------------------------------------
(defun C:LL( / Opt S1 S2 e p L)
(vl-load-com)
(if (not preT) (setq preT "L="))
(if (not sufT) (setq sufT ""))
(setq S1 preT S2 sufT)
(prompt (strcat "\nMeasure and write length. Current prefix:[" preT "]\tSuffix:[" sufT "]"))
(initget "Y N")
(setq Opt (getkword "\nChange prefix and suffix? [Yes/No] :"))
(if (not Opt) (setq Opt "N"))
(if (= Opt "Y") (progn
(setq
S1 (getstring "\nPrefix :") preT S1
S2 (getstring "\nSuffix :") sufT S2
)
))
(while (setq e (car (entsel "\nSelect Object or :")))
(setq
p (getpoint "\nBase point: ")
L (calcL e)
)
(emkT (strcat S1 (rtos (round L 0)) "/" (rtos (round (* L 0.97) 2)) S2) p)
)
(princ)
)
;;;------------------------------------------------------------------------------------

  • 0

#245 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 26 October 2007 - 01:39 PM

Nhờ bà con giúp giùm đoạn lisp này với:
-Yêu cầu nhập vào 1 điểm (pick bằng chuột)
-Kiểm tra vùng chọn có khép kín không:
+nếu kín thì gán cho diemchona bằng điểm vừa chọn.
+nếu không kín thì yêu cầu chọn lại đến khi kín thì thôi.
Cám ơn bà con !
Chúc cả nhà vui vẻ ! :unsure:

Chưa tìm ra cách gì hay hơn, bạn dùng tạm kiểu này xem có được không (C:TEST là để kiểm tra, bạn tùy nghi sử dụng boundpt theo ý riêng).
Thực chất của phương pháp là nhờ command "boundary" tìm hộ. Nhược điểm của nó giống như của chính bản thân lệnh boundary và lệnh hatch:
- Vùng được chọn phải hiển thị đầy đủ trên màn hình
- Nếu khoảng hở quá nhỏ, nó cũng bỏ qua luôn!
Tóm lại là những vùng mà lệnh boundary hoặc hatch thực hiện được thì hàm boundpt sẽ cho kết quả T (true)

;;;--------------------------------------------------------------------------
(defun boundpt (p / e res)
;;;Return T if p is in a closed area. Otherwise return nil
(setq e (entlast))
(command "boundary" p "")
(setq res (not (equal (entlast) e)))
(if res (command "erase" (entlast) ""))
res
)
;;;--------------------------------------------------------------------------
(defun C:TEST( / p);;;Test boundpt function
(setq p (getpoint "\nPick a point:"))
(if (boundPt p) (alert "Closed") (alert "Unclosed"))
(princ)
)
;;;--------------------------------------------------------------------------

  • 1

#246 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 26 October 2007 - 02:04 PM

Chưa tìm ra cách gì hay hơn, bạn dùng tạm kiểu này xem có được không (C:TEST là để kiểm tra, bạn tùy nghi sử dụng boundpt theo ý riêng).


Cám ơn SGG đúng cái mình cần !!
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#247 congtrinh5

congtrinh5

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2007 - 06:57 PM

Tìm lisp chọn 1 dim (hoặc nhiều dim 1 lúc) thì font của chữ của dim(nằm trên đường kích) sẽ chuyển thành
font simplex.shx! thanks các bác , em đang rất cần!!!?
  • 0

#248 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 27 October 2007 - 11:25 AM

Tìm lisp chọn 1 dim (hoặc nhiều dim 1 lúc) thì font của chữ của dim(nằm trên đường kích) sẽ chuyển thành
font simplex.shx! thanks các bác , em đang rất cần!!!?

;;;------------------------------------------------------------------------------------------
(defun C:CDT( / ss oldstyle);;;Change Dimension Text to simplex font
(if (not (tblsearch "style" "simplex")) (progn
(setq oldstyle (getvar "textstyle"))
(command "style" "simplex" "simplex" 0 1 0 "n" "n" "n")
(setvar "textstyle" oldstyle)
))
(setq ss (ssget '((0 . "DIMENSION"))))
(command "dimoverride" "dimtxsty" "simplex" "" ss "")
)
;;;------------------------------------------------------------------------------------------

Bạn phải có font simplex.shx trong thư mục Fonts của Acad.
  • 0

#249 dmg

dmg

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 November 2007 - 12:19 AM

bác ssg ơi, bác đã đánh thử chưa, sao em vẫn bị dạng 10.00/9.70m nhỉ. ko bít làm sao cho về được 10/9.70m
chỉ có 1 bản ko bít em ấn loạn xị ngậu thế nào mà lại đúng được dạng như em mong muốn, thế là em cứ cop các bản vẽ khác paste vào để đánh chiều dài dây awngten mà ko bít vì sao bản cad đó lại thể hiện text đúng được dạng chiều dài làm tròn (0 có con số 0 nào sau dấu phẩy)/ chiều dài*0,97 (2 con số không sau dấu phẩy). dẫu sao cũng cảm ơn bác nhìu. :unsure:
  • 0

#250 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 01 November 2007 - 07:45 AM

bác ssg ơi, bác đã đánh thử chưa, sao em vẫn bị dạng 10.00/9.70m nhỉ. ko bít làm sao cho về được 10/9.70m
chỉ có 1 bản ko bít em ấn loạn xị ngậu thế nào mà lại đúng được dạng như em mong muốn, thế là em cứ cop các bản vẽ khác paste vào để đánh chiều dài dây awngten mà ko bít vì sao bản cad đó lại thể hiện text đúng được dạng chiều dài làm tròn (0 có con số 0 nào sau dấu phẩy)/ chiều dài*0,97 (2 con số không sau dấu phẩy). dẫu sao cũng cảm ơn bác nhìu. :unsure:

Mình không bao giờ bỏ qua bước test khi lập trình. Tuy nhiên, cũng có thể là chưa lường hết các trường hợp có thể xảy ra. Nghe bạn phản hồi, mình đã test lại, kết quả vẫn đúng! Chả hiểu trên máy bạn thế nào!
Thôi được, bạn hãy delete toàn bộ "tàn tích" của các code trước đây, thay bằng đoạn sau. Hy vọng là sẽ đúng ý trong mọi trường hợp:


;;;-------------------------------------------------------------------------------
(Defun rnd(x) (fix (+ 0.5 x)) ) ;;;Round x, return INT
;;;-------------------------------------------------------------------------------
(Defun round(x i / j) ;;;Round x, i digit after decimal point, return INT
(setq j (expt 10 i))
(/ (float (fix (+ 0.5 (* x j)))) j)
) ;;;return REAL
;;;------------------------------------------------------------------------------------
(defun getTw() ;;;Get current text width factor
(cdr (assoc 41 (tblsearch "style" (getvar "textstyle"))))
)
;;;------------------------------------------------------------------------------------
(defun getTh( / Th) ;;;Get current textheight or textsize
(if (= (setq Th (cdr (assoc 40 (tblsearch "style" (getvar "textstyle"))))) 0) (getvar "textsize") Th)
)
;;;------------------------------------------------------------------------------------
(defun emkT (S p)
;;;Write text S at point p by entmake function
;;;Text style, heigh and width factor get from current values
(entmake (list (cons 0 "TEXT") (cons 10 p) (cons 40 (getTh))
(cons 41 (getTw)) (cons 1 S) (cons 7 (getvar "textstyle"))))
)
;;;------------------------------------------------------------------------------------
(defun calcL (e) ;;;Calculate length of Line, Pline, 3dPoly, Spline, Circle, Arc, Polygon
(vlax-curve-getDistAtParam e (vlax-curve-getEndParam e))
)
;;;------------------------------------------------------------------------------------
(defun C:LL( / Opt S1 S2 e p L)
(vl-load-com)
(if (not preT) (setq preT "L="))
(if (not sufT) (setq sufT ""))
(setq S1 preT S2 sufT)
(prompt (strcat "\nMeasure and write length. Current prefix:[" preT "]\tSuffix:[" sufT "]"))
(initget "Y N")
(setq Opt (getkword "\nChange prefix and suffix? [Yes/No] :"))
(if (not Opt) (setq Opt "N"))
(if (= Opt "Y") (progn
(setq
S1 (getstring "\nPrefix :") preT S1
S2 (getstring "\nSuffix :") sufT S2
)
))
(while (setq e (car (entsel "\nSelect Object or :")))
(setq
p (getpoint "\nBase point: ")
L (calcL e)
)
(emkT (strcat S1 (itoa (rnd L)) "/" (rtos (round (* L 0.97) 2)) S2) p)
)
(princ)
)
;;;------------------------------------------------------------------------------------


  • 0

#251 dmg

dmg

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 November 2007 - 08:49 AM

yes, được rùi bác ssg ơi, chỉ cần set unit lại 2 con số 0 sau dấu phẩy là chuẩn rùi
thanks bác nhiều :unsure:
khi nào bác thiết kế các tòa nhà chung cư, hay office building lớn cứ gọi bọn em nhé, cty em chuyên về phủ sóng inbuilding di động và wireless trong các tòa nhà lớn, sóng outdoor không vào sâu được, hehe hợp tác mần ăn nha bác, bác có sóng ở mọi nơi, bọn em có xiền hàng tháng :unsure:
  • 0

#252 Hoa Trang trắng

Hoa Trang trắng

    biết vẽ ellipse

  • Members
  • PipPip
  • 58 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 01 November 2007 - 10:38 AM

Bạn có thể post yêu cầu về autolisp ở topic này.

Em xin hỏi các bác một chút:
- Các câu lệnh khi viết lisp dựa trên chương trình nào? (VBA, Pascal....), tại sao lại cứ phải đóng mở ngoặc như thế?
- Em xin nhờ các bác viết hộ em một lisp để có thể tạo thành các điểm hoặc đường thẳng với cấu tạo tương tự như lệnh Array nhưng có khoảng cách không đều nhau.
Tức là giả sử ta có một file trong excel với cột A là khoảng cách các điểm 3m; 4m; 4,5m; 5m...... các điểm cách nhau không theo một quy luật nào, em muốn có thể dùng lệnh nào đó khi pick chuột vào một point hay line với một góc do mình chọn và tạo thành các điểm có khoảng cách theo file excel đó.
Không biết em giải thích như vậy đã được chưa ạ.
Rất mong các bác giúp đỡ. Em cảm ơn!
  • 0

#253 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 01 November 2007 - 11:44 AM

Mình đang rất cần 1 lisp có chức năng ngăn không cho bản vẽ có thể Save as... được
nếu không nhập đúng password. cụ thể:
giả sử lisp đó đã được tải, khi vẽ xong bản vẽ tôi muốn save vào và đặt tên file
khi đó dòng lệnh command hỏi nhập pass, nếu nhập sai thì không save được (mã pass nằm trong file lsp )
nhập đúng sẽ hiện bảng Save Drawing as.
BÁc nào biết giúp mình nha, thanks!
  • 0

#254 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 01 November 2007 - 11:56 AM

Em xin hỏi các bác một chút:
- Các câu lệnh khi viết lisp dựa trên chương trình nào? (VBA, Pascal....), tại sao lại cứ phải đóng mở ngoặc như thế?
- Em xin nhờ các bác viết hộ em một lisp để có thể tạo thành các điểm hoặc đường thẳng với cấu tạo tương tự như lệnh Array nhưng có khoảng cách không đều nhau.
Tức là giả sử ta có một file trong excel với cột A là khoảng cách các điểm 3m; 4m; 4,5m; 5m...... các điểm cách nhau không theo một quy luật nào, em muốn có thể dùng lệnh nào đó khi pick chuột vào một point hay line với một góc do mình chọn và tạo thành các điểm có khoảng cách theo file excel đó.
Không biết em giải thích như vậy đã được chưa ạ.
Rất mong các bác giúp đỡ. Em cảm ơn!

- Lisp được viết trên bất cứ trình soạn thảo nào, ví dụ như notepad, wordpad,... Nhưng tốt nhất là nên sử dụng Visual Lisp Editor nằm trong bộ AutoCAD bằng lệnh Vlide vì sự trực quan lúc soạn thảo của nó cũng như các chức năng gỡ rối, biên dịch....

- Lisp dưới đây là lệnh array bạn cần. Cách sử dụng: giống lệnh copy. Bạn chọn tập đối tượng, sau đó chọn điểm gốc, tiếp đến chọn hướng copy (các đối tượng sẽ được array theo hướng mà bạn pick), và cuối cùng là nhập vào các khoảng cách để lisp array.

Nếu bạn lấy dữ liệu bên excel, hãy sắp xếp các số liệu trên 1 cột của excel, nhấn Ctr+C, rồi quay sang CAD dùng lệnh ACD, lúc chương trình hỏi về các khoảng cách thì bạn nhấn Ctr+V.


(defun c:acd()
(setq ss (ssget)
pgoc (getpoint "\nHay vao diem goc: ")
plast (getpoint pgoc "\nPick vao huong array: ")
kc (getdist "\nVao khoang cach dau tien: ")
index 1
goc (angle pgoc plast)
plast (polar pgoc goc kc)
)

(while kc
(luuos)
(setvar "osmode" 0)
(command ".copy" ss "" pgoc plast)
(traos)
(setq
index (1+ index)
kc (getdist (strcat "\nVao khoang cach thu " (itoa index) ": "))
)
(if kc (setq plast (polar plast goc kc)))
)
)
(defun luuos ()
(setq
HOANH_OSMODE (getvar "OSMODE")
HOANH_AUTOSNAP (getvar "AUTOSNAP")
)
)
(defun traos ()
(if HOANH_OSMODE
(setvar "OSMODE" HOANH_OSMODE)
)
(if HOANH_AUTOSNAP
(setvar "AUTOSNAP" HOANH_AUTOSNAP)
)
)

  • 0

#255 Hoa Trang trắng

Hoa Trang trắng

    biết vẽ ellipse

  • Members
  • PipPip
  • 58 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 01 November 2007 - 03:02 PM

Nếu bạn lấy dữ liệu bên excel, hãy sắp xếp các số liệu trên 1 cột của excel, nhấn Ctr+C, rồi quay sang CAD dùng lệnh ACD, lúc chương trình hỏi về các khoảng cách thì bạn nhấn Ctr+V.

Gửi bác Hoành!
Em rất cám ơn bác vì code này, khi em sử dụng em thấy rất ổn.
Bác giỏi thật đấy :unsure: .
  • 0

#256 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 01 November 2007 - 06:48 PM

Mình đang rất cần 1 lisp có chức năng ngăn không cho bản vẽ có thể Save as... được
nếu không nhập đúng password. cụ thể:
giả sử lisp đó đã được tải, khi vẽ xong bản vẽ tôi muốn save vào và đặt tên file
khi đó dòng lệnh command hỏi nhập pass, nếu nhập sai thì không save được (mã pass nằm trong file lsp )
nhập đúng sẽ hiện bảng Save Drawing as.
BÁc nào biết giúp mình nha, thanks!
  • 0

#257 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 01 November 2007 - 08:16 PM

Mình đang rất cần 1 lisp có chức năng ngăn không cho bản vẽ có thể Save as... được
nếu không nhập đúng password. cụ thể:
giả sử lisp đó đã được tải, khi vẽ xong bản vẽ tôi muốn save vào và đặt tên file
khi đó dòng lệnh command hỏi nhập pass, nếu nhập sai thì không save được (mã pass nằm trong file lsp )
nhập đúng sẽ hiện bảng Save Drawing as.
BÁc nào biết giúp mình nha, thanks!

Rất tiếc là lisp không thể nằm trong file và tự kích hoạt được. Chặn việc save as bằng cách thức như vậy (dùng lisp tự kích hoạt) là điều không thể.

Đây cũng là niềm vui của những người sử dụng ACAD bởi nếu không như vậy, virus lisp sẽ ngập tràn không khác gì virus macro của Word, Excel.
  • 0

#258 quan1712

quan1712

    biết zoom

  • Advance Member
  • Pip
  • 13 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 01 November 2007 - 08:32 PM

Bac nao cho em LISP ve duong han trong ket cau thep duoc khong :unsure:
  • 0

#259 quan1712

quan1712

    biết zoom

  • Advance Member
  • Pip
  • 13 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 01 November 2007 - 09:26 PM

bac nao chi em cach ve duong han voi
  • 0

#260 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 01 November 2007 - 09:48 PM

Anh Hoành ơi!Anh có thể tạo cho em 1 iish thế này không?
Em sử dụng Sketch Up khá nhìu, và em thấy lệnh COPY bên này rất hay, ta copy 1 đối tượng theo phương X(chẳng hạn) cách đối tượng cũ 1 khoảng A, sau đó ta nhấn phím X11 thì lập tức ta có 11 đối tượng như thế cách đều nhau 1 khoảng a. Nhấn /3 lập tức xẽ có 3 đối tượng nằm xen kẽ giữa đối tượng đầu và đối tượng đc copy trước đó.... (kiểu như array bên cad nhưng lại hiện đại và nhanh hơn rất nhìu). Vậy bi giờ em muốn làm điều đó bên Cad thì có được không anh. Anh giúp em lish này với nha! Thank anh rất nhìu!
  • 0